Bug 208551 - [ml_IN] - Some GSUB is showing wrong conjuctions in OOo
[ml_IN] - Some GSUB is showing wrong conjuctions in OOo
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: icu (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
: i18n
Depends On:
Blocks: 209084
  Show dependency treegraph
 
Reported: 2006-09-29 08:07 EDT by Leon Ho
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: icu-3.6-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-04 19:35:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix (3.19 KB, patch)
2006-10-03 09:03 EDT, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Leon Ho 2006-09-29 08:07:07 EDT
Description of problem:
Following test cases fails in OOo:
39
45
49
67
69
75
76
80
83
84
121-180

http://batman.brisbane.redhat.com/~indic/IndicTC/lang/ml_IN/font/IndicFontTestCaseGSUB-Malayalam.html


Version-Release number of selected component (if applicable):
libicu-3.6-1

How reproducible:
everytime

Steps to Reproduce:
1. download
http://batman.brisbane.redhat.com/~indic/IndicTC/lang/ml_IN/font/IndicFontTestCaseGSUB-Malayalam.html
with images from firefox
2. oowriter
3. open the html
  
Actual results:
see above

Expected results:
should be same as the golden images

Additional info:
We may need similar fix from pango to icu.
Comment 1 Leon Ho 2006-09-29 08:44:35 EDT
Here are some of the patches made for pango, we may need to discuss and find out
which are needed for ICU:

GNOME#355750 : The glyphs of the conjuctions about Cons+0x0d4d+0x0d32 of
Malayalm are wrong
GNOME#351223 : the conjuction of Con + 0x0d4d +0x0d31 of Malayalam is wrong
GNOME#345070 : [ml_IN] not render for combination with ZWJ
GNOME#335811 : Some conjugates of Malayalam are wrong.
GNOME#121672 – Ra (vattu) not rendered properly in Malayalam
RH#208198 : Rendering problem for malayalam consonant RA (U+0D30)
Comment 2 Caolan McNamara 2006-09-29 08:52:02 EDT
A pity the fixes to pango weren't also upstreamed to icu from which the pango
indic stuff was forked :-(
Comment 3 Caolan McNamara 2006-09-29 15:43:46 EDT
I think with icu-3.6-3 we're improved, and to me look good in OOo as far as 154,
but broken from there onwards.
Comment 5 Caolan McNamara 2006-10-03 09:03:41 EDT
Created attachment 137640 [details]
patch to fix

This ported from pango http://bugzilla.gnome.org/show_bug.cgi?id=351223 patch
seems to fix the rest for me
Comment 6 Caolan McNamara 2006-10-03 09:09:24 EDT
http://bugs.icu-project.org/cgi-bin/icu-bugs/incoming?findid=5431

fix checked in, will be in >= icu-3.6-5

Note You need to log in before you can comment on or make changes to this bug.